### Virtual Method

# EDataServer Client set_backend_property

deprecated: 3.8 since: 3.2

#### Declaration [src]

    void
    set_backend_property (
      EClient* client,
      const gchar* prop_name,
      const gchar* prop_value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Sets `client`‘s backend property of name `prop_name` to value `prop_value`. The call is finished by `e_client_set_backend_property_finish()` from the `callback`.

Available since: 3.2

Deprecated since: 3.8

Clients cannot set backend properties. Any attempt will fail with an `E_CLIENT_ERROR_NOT_SUPPORTED` error.

#### Parameters

`prop_name`

  Type: `const gchar*`

  Property name, whose value to change; cannot be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prop_value`

  Type: `const gchar*`

  Property value, to set; cannot be `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.